##### basic_random_access_file::basic_random_access_file (7 of 10 overloads)

Construct a `basic_random_access_file` on an existing native file.

    basic_random_access_file(
        const executor_type & ex,
        const native_handle_type & native_file);

This constructor initialises a random-access file object to hold an existing native file.

###### Parameters

ex

  The I/O executor that the file will use, by default, to dispatch handlers for any asynchronous operations performed on the file.

native_file

  The new underlying file implementation.

###### Exceptions

asio::system_error

  Thrown on failure.